# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
BuildRequires: gcc-c++
# END SourceDeps(oneline)
Name:           ike
Version:        2.2.0
Release:        alt1_4
Summary:        Shrew Soft VPN Client For Linux
Group:          Communications
License:        Sleepycat
URL:            http://www.shrew.net/
Source0:        http://www.shrew.net/download/%{name}/%{name}-%{version}-release.tgz
Source1:        iked.service
Source2:        ike.desktop
Source3:        ike.logrotate
#already fixed in upstream HEAD
Patch0:         pid.diff
BuildRequires: ctest cmake flex bison qt4-devel openldap-devel libssl-devel libedit-devel
BuildRequires:  desktop-file-utils systemd
Source44: import.info


%description
This free IPSEC VPN client can be used to communicate with 
Open Source IPSEC VPN servers as well as some commercial
IPSEC VPN servers.

%prep
%setup -q -n %{name}

%patch0 -p0

sed -i 's:/var/log/:/var/log/iked/:' source/iked/iked.conf.sample
sed -i 's/\r//' TODO.TXT

%build
%{fedora_cmake} -DQTGUI=YES -DNATT=YES -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} -DETCDIR:PATH=%{_sysconfdir} \
      -DMANDIR:PATH=%{_mandir} -DLDAP=YES -DLIBDIR=%{_libdir}
make VERBOSE=1 %{?_smp_mflags}


%install

make INSTALL="install -p" install DESTDIR=$RPM_BUILD_ROOT

#install -d -p $RPM_BUILD_ROOT%%{_initrddir}
install -d -p $RPM_BUILD_ROOT%{_unitdir}
install -d -p $RPM_BUILD_ROOT%{_var}/run/%{name}d
install -d -p $RPM_BUILD_ROOT%{_var}/log/%{name}d
install -d -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -D -p -m0755 %SOURCE1 $RPM_BUILD_ROOT%{_unitdir}/%{name}d.service
mv $RPM_BUILD_ROOT%{_sysconfdir}/iked.conf.sample $RPM_BUILD_ROOT%{_sysconfdir}/iked.conf

# Create desktop file
install -p source/qikea/png/ikea.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}a.png
desktop-file-install --dir $RPM_BUILD_ROOT/%{_datadir}/applications \
    %{SOURCE2}

# Create /etc/logrotate.d/ike
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d
install -m 0644 -p %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/%{name}

%files
%doc LICENSE.TXT TODO.TXT
%config(noreplace) %{_sysconfdir}/iked.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/ike
%{_libdir}/*.so.*
%{_libdir}/*.so
%{_unitdir}/%{name}d.service
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man*/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*
%dir %{_var}/run/%{name}d
%dir %{_var}/log/%{name}d

%changelog
* Wed May 01 2013 Igor Vlasenko <viy@altlinux.ru> 2.2.0-alt1_4
- initial fc import

